     d = open("nomer")
     getfirst(d)
     nom = num('Номер_док.'.d)
     close(d)
     
     d = open("actos")
     if Find(d,1,1,nom) != 0 then goto 900
     
     d1 = open("spoop")
     rem ---------------- УДАЛИТЬ ПРЕДЫДУЩИЕ ПРОВОДКИ ПО ДОКУМЕНТУ
     putkey(d1,2)
     if FindGe(d1,1,3,"АКТОС "+str(nom,4,0)) != 0 then goto 200
210  if "АКТОС " + trim(str(nom,4,0)) != trim('Документ'.d1) then goto 200
     if size(d1)=0 then goto 200
     delete(d1)
     goto 210
200
     num_last = 1
     putkey(d1,0)
     if size(d1) > 0
     {  getlast(d1)
        num_last = 'N_проводки'.d1 + 1
     }

     rem ---------- D08 K60
     sub = ""
     d3 = open("60")
     if Find(d3,1,2,'Код'.d) != 0
     {
        clearbuf(d3)
        'Субсчет'.d3 = 'Код'.d
        'Код'.d3 = 'Код'.d
        'Название'.d3 = 'НазваниеП'.d
        insert(d3)
     }
     sub = 'Субсчет'.d3
     close(d3)

     clearbuf(d1)
     'N_проводки'.d1 = num_last
     'Дата'.d1 = 'Дата'.d
     'Документ'.d1 = "АКТОС " + str(nom,4,0)
     'Db_счета'.d1 = trim('НомерК'.d)
     'Db_расчеты'.d1 = trim('СубсчетК'.d)
     'Kr_счета'.d1 = "60"
     'Kr_расчеты'.d1 = sub
     'Сумма'.d1 = 'Бал.ст-ть'.d
     'Примечание'.d1 = trim('Название'.d) + " " + trim('НазваниеП'.d)
     insert(d1)

     rem ---------- D68 K19
     num_last = num_last + 1

     clearbuf(d1)
     'N_проводки'.d1 = num_last
     'Дата'.d1 = 'Дата'.d
     'Документ'.d1 = "АКТОС " + str(nom,4,0)
     'Db_счета'.d1 = "68"
     'Db_расчеты'.d1 = ""
     'Kr_счета'.d1 = "19"
     'Kr_расчеты'.d1 = ""
     'Сумма'.d1 = 'Бал.ст-ть'.d * 0.2
     'Примечание'.d1 = trim('Название'.d) + " " + trim('НазваниеП'.d)
     insert(d1)

     rem ---------- D68 K19
     num_last = num_last + 1

     clearbuf(d1)
     'N_проводки'.d1 = num_last
     'Дата'.d1 = 'Дата'.d
     'Документ'.d1 = "АКТОС " + str(nom,4,0)
     'Db_счета'.d1 = trim('Номер'.d)
     'Db_расчеты'.d1 = trim('Субсчет'.d)
     'Kr_счета'.d1 = trim('НомерК'.d)
     'Kr_расчеты'.d1 = trim('СубсчетК'.d)
     'Сумма'.d1 = 'Бал.ст-ть'.d
     'Примечание'.d1 = trim('Название'.d) + " " + trim('НазваниеП'.d)
     insert(d1)

     close(d1)
900  close(d)
     end
